Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057977 - [abrt] libreoffice-core: ServerFont::Release(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: ServerFont::Release(): soffice.bin killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f7968542652f3d41107b9b32c2a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 10:20 UTC by Josep
Modified: 2014-05-19 07:18 UTC (History)
8 users (show)

Fixed In Version: libreoffice-4.1.5.3-4.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-19 07:18:46 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-26 10:20 UTC, Josep
no flags Details
File: cgroup (deleted)
2014-01-26 10:20 UTC, Josep
no flags Details
File: core_backtrace (deleted)
2014-01-26 10:20 UTC, Josep
no flags Details
File: dso_list (deleted)
2014-01-26 10:20 UTC, Josep
no flags Details
File: environ (deleted)
2014-01-26 10:20 UTC, Josep
no flags Details
File: exploitable (deleted)
2014-01-26 10:20 UTC, Josep
no flags Details
File: limits (deleted)
2014-01-26 10:20 UTC, Josep
no flags Details
File: maps (deleted)
2014-01-26 10:20 UTC, Josep
no flags Details
File: open_fds (deleted)
2014-01-26 10:20 UTC, Josep
no flags Details
File: proc_pid_status (deleted)
2014-01-26 10:21 UTC, Josep
no flags Details
File: var_log_messages (deleted)
2014-01-26 10:21 UTC, Josep
no flags Details

Description Josep 2014-01-26 10:20:39 UTC
Version-Release number of selected component:
libreoffice-core-4.1.4.2-4.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress --splash-pipe=5
crash_function: ServerFont::Release
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ServerFont::Release at /usr/src/debug/libreoffice-4.1.4.2/vcl/generic/glyphs/glyphcache.cxx:341
 #1 GlyphCache::UncacheFont at /usr/src/debug/libreoffice-4.1.4.2/vcl/generic/glyphs/glyphcache.cxx:236
 #2 X11SalGraphics::setFont at /usr/src/debug/libreoffice-4.1.4.2/vcl/unx/generic/gdi/salgdi3.cxx:166
 #3 X11SalGraphics::SetFont at /usr/src/debug/libreoffice-4.1.4.2/vcl/unx/generic/gdi/salgdi3.cxx:508
 #4 ReleaseFonts at /usr/src/debug/libreoffice-4.1.4.2/vcl/inc/salgdi.hxx:224
 #5 OutputDevice::ImplUpdateFontData at /usr/src/debug/libreoffice-4.1.4.2/vcl/source/gdi/outdev3.cxx:186
 #7 OutputDevice::ImplUpdateAllFontData at /usr/src/debug/libreoffice-4.1.4.2/vcl/source/gdi/outdev3.cxx:262
 #8 ImplHandleSalSettings at /usr/src/debug/libreoffice-4.1.4.2/vcl/source/window/winproc.cxx:2216
 #9 ImplWindowFrameProc at /usr/src/debug/libreoffice-4.1.4.2/vcl/source/window/winproc.cxx:2597
 #10 CallCallback at /usr/src/debug/libreoffice-4.1.4.2/vcl/inc/salframe.hxx:243

Potential duplicate: bug 1045497

Comment 1 Josep 2014-01-26 10:20:44 UTC
Created attachment 855640 [details]
File: backtrace

Comment 2 Josep 2014-01-26 10:20:46 UTC
Created attachment 855641 [details]
File: cgroup

Comment 3 Josep 2014-01-26 10:20:48 UTC
Created attachment 855642 [details]
File: core_backtrace

Comment 4 Josep 2014-01-26 10:20:50 UTC
Created attachment 855643 [details]
File: dso_list

Comment 5 Josep 2014-01-26 10:20:52 UTC
Created attachment 855644 [details]
File: environ

Comment 6 Josep 2014-01-26 10:20:54 UTC
Created attachment 855645 [details]
File: exploitable

Comment 7 Josep 2014-01-26 10:20:56 UTC
Created attachment 855646 [details]
File: limits

Comment 8 Josep 2014-01-26 10:20:57 UTC
Created attachment 855647 [details]
File: maps

Comment 9 Josep 2014-01-26 10:20:59 UTC
Created attachment 855648 [details]
File: open_fds

Comment 10 Josep 2014-01-26 10:21:01 UTC
Created attachment 855649 [details]
File: proc_pid_status

Comment 11 Josep 2014-01-26 10:21:03 UTC
Created attachment 855650 [details]
File: var_log_messages

Comment 12 David Tardon 2014-01-27 13:18:00 UTC
It is not reproducible, I presume?

Comment 13 Josep 2014-01-27 17:52:02 UTC
No, it doesn't seem reproducible.

I don't know if this is relevant, but I should add that I was updating the system with yum when this happened, and looking at yum history, that day at that time the following packages were updated:
rpm
yum
yum-metadata-parser
gnome-shell
google-crosextra-caladea-fonts
rtkittigervnc-license
tigervnc-server-minimal
webkitgtk
webkitgtk3

Yum history info says:
Begin time     : Sun Jan 26 10:12:47 2014
End time       :            10:12:55 2014 (8 seconds)

According to comment #12, the crash happened gen 26 10:12:53

Comment 14 David Tardon 2014-02-03 10:37:01 UTC
I suppose it was reinstallation of google-crosextra-caladea-fonts that caused this. Trying that locally, with the font used in an opened document, does not lead to any crash, but valgrind is not happy about it...

Comment 15 David Tardon 2014-02-05 10:01:48 UTC
fixed upstream

Comment 16 David Tardon 2014-02-27 08:12:28 UTC
*** Bug 1070497 has been marked as a duplicate of this bug. ***

Comment 17 Fedora Update System 2014-03-05 09:22:02 UTC
libreoffice-4.1.5.3-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.5.3-4.fc19

Comment 18 Fedora Update System 2014-03-06 08:12:48 UTC
Package libreoffice-4.1.5.3-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.5.3-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3458/libreoffice-4.1.5.3-4.fc19
then log in and leave karma (feedback).

Comment 19 David Tardon 2014-05-19 07:18:46 UTC
bodhi failed to close this bug for some reason...


Note You need to log in before you can comment on or make changes to this bug.